using System;
using System.Collections.Generic;
using System.Windows.Forms;
using WLog.GUI;

namespace WLog
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main(string[] Args)
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            if (Args != null && Args.Length > 0)
            {
                fr_Main fr = new fr_Main();
                fr.OpenLog(Args[0]);
                Application.Run(fr);
            }
            else { Application.Run(new fr_Main()); }
        }
    }
}
